#!/bin/bash
# This script starts GigaSpaces Benchmark UI

scriptDir="$(dirname $0)"

export XAP_HOME=`dirname $0`/../..
. `dirname $0`/../../bin/setenv.sh
classpath="$PRE_CLASSPATH:$UI_JARS:$SPRING_JARS:$POST_CLASSPATH"
launchTarget=com.j_spaces.tools.spacebrowser.benchmark.standalone.BenchmarkMain

command_line=$*

NATIVE_DIR="$XAP_HOME/lib/platform/native"

opSys=`uname -s`
if [ $opSys = "Darwin" ] ; then
    export DYLD_LIBRARY_PATH=$EXT_LD_LIBRARY_PATH:$LD_LIBRARY_PATH:$NATIVE_DIR
    DARWIN_PROPS="-Dcom.gs.ui.laf.classname=apple.laf.AquaLookAndFeel -Dcom.apple.macos.useScreenMenuBar=true -Xdock:name=Benchmark -Dcom.apple.mrj.application.growbox.intrudes=false -Dcom.apple.mrj.application.live-resize=true"
else
	export LD_LIBRARY_PATH="$EXT_LD_LIBRARY_PATH:$LD_LIBRARY_PATH:$NATIVE_DIR"
fi

SYS_PROPS="-Dcom.gs.env.report=false ${DARWIN_PROPS}"
export SYS_PROPS

command="$JAVACMD ${XAP_GUI_OPTIONS} ${JAVA_OPTIONS} ${SYS_PROPS} ${XAP_OPTIONS} -cp "$classpath" $launchTarget $command_line"

echo
echo Starting GigaSpaces Benchmark UI:
echo 
echo ${command}
echo
echo
$command
