#!/bin/bash

if [ "${XAP_HOME}" = "" ] ; then
	XAP_HOME=`dirname $0`/../../
fi
export XAP_HOME

. $XAP_HOME/bin/setenv.sh

export WEBUI_PORT=${WEBUI_PORT=8099}
export BIND_ADDRESS=${BIND_ADDRESS=0.0.0.0}
export USER_NAME_MANDATORY=${USER_NAME_MANDATORY=false}
export WEBUI_OPTIONS="-Dorg.openspaces.launcher.port=${WEBUI_PORT} -Dorg.openspaces.launcher.bind-address=${BIND_ADDRESS} -Dcom.gigaspaces.webui.username.mandatory=${USER_NAME_MANDATORY} -Dcom.gigaspaces.logger.RollingFileHandler.time-rolling-policy=monthly -Dorg.openspaces.launcher.jetty.session.manager=org.openspaces.pu.container.jee.jetty.GSSessionManager"

export JETTY_JARS="${XAP_HOME}"/lib/optional/jetty/*:"${XAP_HOME}"/lib/optional/jetty/xap-jetty/*
export INTEROP_JARS="${XAP_HOME}"/lib/optional/INTEROP/*

WEBUI_CLASSPATH=${PRE_CLASSPATH}:${GS_JARS}:${SPRING_JARS}:${JETTY_JARS}:${INTEROP_JARS}:${COMMONS_JARS}:${SERVICE_GRID_JARS}:${POST_CLASSPATH}
COMMAND_LINE="${JAVACMD} ${XAP_OPTIONS} ${JAVA_OPTIONS} ${XAP_WEBUI_OPTIONS} ${WEBUI_OPTIONS} -classpath "${WEBUI_CLASSPATH}" org.openspaces.launcher.Launcher"

# Extract the Web UI WAR file path, assuming there's only one WAR file
WEBUI_WAR_PATH=`dirname $0`/xap-webui*.war

echo webui war file path: ${WEBUI_WAR_PATH}

${COMMAND_LINE} -name "GS Web UI" -path ${WEBUI_WAR_PATH} -work `dirname $0`/work $*
